Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Response

Experimental features are returned.

Experimental features that can be toggled at runtime

metrics
boolean | null

Enable the /metrics endpoint for Prometheus metrics

logsRoute
boolean | null

Enable the /logs route for log configuration

editDocumentsByFunction
boolean | null

Enable document editing via JavaScript functions

containsFilter
boolean | null

Enable the CONTAINS filter operator

dynamicSearchRules
boolean | null

Enable dynamic search rules and the /dynamic-search-rules routes

network
boolean | null

Enable network features for distributed search

getTaskDocumentsRoute
boolean | null

Enable the route to get documents from tasks

taskQueueCompactionRoute
boolean | null

Enable the route to compact the task queue database

compositeEmbedders
boolean | null

Enable composite embedders for multi-source embeddings

chatCompletions
boolean | null

Enable chat completion capabilities

multimodal
boolean | null

Enable multimodal search with images and other media

foreignKeys
boolean | null

Enable foreign key support for document hydration

disableDocumentsFetchQueue
boolean | null

Disable documents fetch queue

legacySearch
boolean | null

Enable legacy search pipeline

renderRoute
boolean | null

Enable the POST /render-template route